/usr/bin/occi-server is in opennebula 3.2.1-2.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 | #! /bin/sh
# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org) #
# #
# Licensed under the Apache License, Version 2.0 (the "License"); you may #
# not use this file except in compliance with the License. You may obtain #
# a copy of the License at #
# #
# http://www.apache.org/licenses/LICENSE-2.0 #
# #
# Unless required by applicable law or agreed to in writing, software #
# distributed under the License is distributed on an "AS IS" BASIS, #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. #
# See the License for the specific language governing permissions and #
# limitations under the License. #
#--------------------------------------------------------------------------- #
if [ -z "$ONE_LOCATION" ]; then
OCCI_PID=/var/run/one/occi-server.pid
OCCI_SERVER=/usr/lib/one/ruby/cloud/occi/occi-server.rb
OCCI_LOCK_FILE=/var/lock/one/.occi.lock
OCCI_LOG=/var/log/one/occi-server.log
OCCI_ETC=/etc/one/occi-server.conf
else
OCCI_PID=$ONE_LOCATION/var/occi-server.pid
OCCI_SERVER=$ONE_LOCATION/lib/ruby/cloud/occi/occi-server.rb
OCCI_LOCK_FILE=$ONE_LOCATION/var/.occi.lock
OCCI_LOG=$ONE_LOCATION/var/occi-server.log
OCCI_ETC=$ONE_LOCATION/etc/occi-server.conf
fi
setup()
{
eval `grep ^IMAGE_DIR= $OCCI_ETC `
export TMPDIR=$IMAGE_DIR/tmp
mkdir -p $TMPDIR
if [ -f $OCCI_LOCK_FILE ]; then
if [ -f $OCCI_PID ]; then
ONEPID=`cat $OCCI_PID`
ps $OCCI_PID > /dev/null 2>&1
if [ $? -eq 0 ]; then
echo "OCCI Server is still running (PID:$OCCI_PID). Please try 'occi-server stop' first."
exit 1
fi
fi
echo "Stale .lock detected. Erasing it."
rm $LOCK_FILE
fi
}
start()
{
if [ ! -x "$OCCI_SERVER" ]; then
echo "Can not find $OCCI_SERVER."
exit 1
fi
# Start the occi-server daemon
ruby $OCCI_SERVER > $OCCI_LOG 2>&1 &
LASTRC=$?
LASTPID=$!
if [ $LASTRC -ne 0 ]; then
echo "Error executing occi-server."
echo "Check $OCCI_LOG for more information"
exit 1
else
echo $LASTPID > $OCCI_PID
fi
sleep 2
ps $LASTPID > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo "Error executing occi-server."
echo "Check $OCCI_LOG for more information"
exit 1
fi
echo "occi-server started"
}
#
# Function that stops the daemon/service
#
stop()
{
if [ ! -f $OCCI_PID ]; then
echo "Couldn't find occi-server process pid."
exit 1
fi
# Kill the occi-server daemon
kill -INT `cat $OCCI_PID` > /dev/null 2>&1
# Remove pid files
rm -f $OCCI_PID > /dev/null 2>&1
echo "occi-server stopped"
}
case "$1" in
start)
setup
start
;;
stop)
stop
;;
*)
echo "Usage: occi-server {start|stop}" >&2
exit 3
;;
esac
|